//pktanalisys.h

#ifndef _analisys_h_
#define _analisys_h_
#include <stdint.h>

//байты в паукете UDP(адрес в пакете)
#define _udp_macaddr_to		0x0000	//мак адрес приёмника
#define _udp_macaddr_from	0x0006	//мак адрес источника
#define _prot			0x0017	//протокол (UDP,TCP и др.)
#define _udp_ipaddr_from	0x001A	//ip адрес источника
#define _udp_ipaddr_to		0x001E	//ip адрес приемника
#define _udp_port_to		0x0024  //порт назначения

//протокол
#define _prot_TCP		0x06	//TCP
#define _prot_UDP		0x11	//TCP

//начало и конец данных
#define _data_start

typedef struct {
	char strIPaddr
} TCPUDP;		

//вывод дампа
extern void outhex(uint8_t *buf, int size);
//чтение данных из файла(исходный пакет)
extern int DataFromFile(char *FileName, uint8_t *Buf);
//Анализ в консоль
extern int fDataAnalsysToConsole(uint8_t *Buf, int szBuf, uint8_t *outBuf);

#endif

